FROM node:22-bullseye

WORKDIR /app

COPY site/package*.json ./
RUN npm ci && npm cache clean --force

COPY site/src ./src
COPY site/index.html .
COPY site/vite.config.* .
COPY site/tsconfig.* .

EXPOSE 5173

CMD ["npm", "run", "devwatch"]